{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE QuantifiedConstraints #-}
{-# LANGUAGE RankNTypes #-}
{-# LANGUAGE PolyKinds #-}
{-# LANGUAGE MultiParamTypeClasses #-}
{-# LANGUAGE FlexibleInstances #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module Network.Curry_URL
  ( d_C_string2urlencoded
  , d_C_param2urlencoded
  , d_C_params2urlencoded
  , d_C_urlencoded2string )
  where

import Basics
import qualified Data.Curry_List
import qualified Curry_Numeric
import qualified Curry_Prelude
import qualified Test.Curry_Prop
import qualified Test.Prop.Curry_Types


d_C_string2urlencoded :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_string2urlencoded x1 cd cs = case x1 of
  Curry_Prelude.OP_List -> Curry_Prelude.OP_List
  Curry_Prelude.OP_Cons x2 x3 -> d_C__case_12 x2 x3
    (d_OP_string2urlencoded_dot_noEncode_dot_4 x2 cd cs) cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C_string2urlencoded l cd
    cs) (d_C_string2urlencoded r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z ->
    d_C_string2urlencoded z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c ((\x ->
    d_C_string2urlencoded e cd x) $! addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "Network.URL.string2urlencoded" [show x1] info)
  _ -> failCons cd (consFail "Network.URL.string2urlencoded" (showCons x1))

d_OP_string2urlencoded_dot_noEncode_dot_4 :: Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_Bool
d_OP_string2urlencoded_dot_noEncode_dot_4 x1 cd cs = Curry_Prelude.d_OP_bar_bar
  (Curry_Prelude.d_C_isAlphaNum x1 cd cs) (Curry_Prelude.d_C_apply
  (Curry_Prelude.d_C_elem
  Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char_hash
  x1 cd cs) (Curry_Prelude.toCurryString "-") cd cs) cd cs

d_OP_string2urlencoded_dot_int2hex_dot_4 :: Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.C_Char
d_OP_string2urlencoded_dot_int2hex_dot_4 x1 cd cs = d_C__case_9 x1
  (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_Prelude.d_OP_uscore_impl_hash_lt_hash_Prelude_dot_Ord_hash_Prelude_dot_Int_hash
  cd cs) x1 cd cs) (Curry_Prelude.C_Int (10)) cd cs) cd cs

d_C_param2urlencoded :: Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_param2urlencoded x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> d_C__case_8 x3 x2 (Curry_Prelude.d_C_null x3
    cd cs) cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i (d_C_param2urlencoded l
    cd cs) (d_C_param2urlencoded r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_C_param2urlencoded z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c ((\x ->
    d_C_param2urlencoded e cd x) $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "Network.URL.param2urlencoded" [show x1] info)
  _ -> failCons cd (consFail "Network.URL.param2urlencoded" (showCons x1))

d_C_params2urlencoded :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_params2urlencoded x1 cd cs = Data.Curry_List.d_C_intercalate
  (Curry_Prelude.toCurryString "&") (Curry_Prelude.d_C_map d_C_param2urlencoded
  x1 cd cs) cd cs

d_C_urlencoded2string :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_urlencoded2string x1 cd cs = case x1 of
  Curry_Prelude.OP_List -> Curry_Prelude.OP_List
  Curry_Prelude.OP_Cons x2 x3 -> d_C__case_6 x2 x3
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char_hash
    x2 (Curry_Prelude.C_Char '+'#) cd cs) cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C_urlencoded2string l cd
    cs) (d_C_urlencoded2string r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z ->
    d_C_urlencoded2string z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c ((\x ->
    d_C_urlencoded2string e cd x) $! addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "Network.URL.urlencoded2string" [show x1] info)
  _ -> failCons cd (consFail "Network.URL.urlencoded2string" (showCons x1))

d_C_testUrlEnconding :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Test.Prop.Curry_Types.C_Prop
d_C_testUrlEnconding x1 cd cs = Test.Curry_Prop.d_OP_minus_eq_minus
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket_hash_0_hash_hash
  Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char_hash)
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Show_hash_lbracket_rbracket_hash_0_hash_hash
  Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Show_hash_Prelude_dot_Char_hash)
  (d_C_urlencoded2string (d_C_string2urlencoded x1 cd cs) cd cs) x1 cd cs

d_C__case_12 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_12 x2 x3 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_Cons x2 (d_C_string2urlencoded x3 cd
    cs)
  Curry_Prelude.C_False -> d_C__case_11 x2 x3
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char_hash
    x2 (Curry_Prelude.C_Char ' '#) cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_12 x2 x3 l cd cs)
    (d_C__case_12 x2 x3 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_12 x2
    x3 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_12 x2 x3 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_12" [show x2, show x3, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_12" (showCons x4))

d_C__case_11 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_11 x2 x3 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_Cons (Curry_Prelude.C_Char '+'#)
    (d_C_string2urlencoded x3 cd cs)
  Curry_Prelude.C_False -> d_C__case_10 x2 x3 (Curry_Prelude.d_C_otherwise cd
    cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_11 x2 x3 l cd cs)
    (d_C__case_11 x2 x3 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_11 x2
    x3 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_11 x2 x3 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_11" [show x2, show x3, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_11" (showCons x4))

d_C__case_10 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_10 x2 x3 x5 cd cs = case x5 of
  Curry_Prelude.C_True -> let x4 = Curry_Prelude.d_C_ord x2 cd cs
    in Curry_Prelude.OP_Cons (Curry_Prelude.C_Char '%'#) (Curry_Prelude.OP_Cons
    (d_OP_string2urlencoded_dot_int2hex_dot_4 (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_div_hash_Prelude_dot_Integral_hash_Prelude_dot_Int_hash
    cd cs) x4 cd cs) (Curry_Prelude.C_Int (16)) cd cs) cd cs)
    (Curry_Prelude.OP_Cons (d_OP_string2urlencoded_dot_int2hex_dot_4
    (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_mod_hash_Prelude_dot_Integral_hash_Prelude_dot_Int_hash
    cd cs) x4 cd cs) (Curry_Prelude.C_Int (16)) cd cs) cd cs)
    (d_C_string2urlencoded x3 cd cs)))
  Curry_Prelude.C_False -> Curry_Prelude.d_C_failed cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_10 x2 x3 l cd cs)
    (d_C__case_10 x2 x3 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_10 x2
    x3 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_10 x2 x3 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_10" [show x2, show x3, show x5] info)
  _ -> failCons cd (consFail "Network.URL._case_10" (showCons x5))

d_C__case_9 :: Curry_Prelude.C_Int -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.C_Char
d_C__case_9 x1 x2 cd cs = case x2 of
  Curry_Prelude.C_True -> Curry_Prelude.d_C_chr
    (Curry_Prelude.d_OP_uscore_impl_hash_plus_hash_Prelude_dot_Num_hash_Prelude_dot_Int_hash
    (Curry_Prelude.d_C_ord (Curry_Prelude.C_Char '0'#) cd cs) x1 cd cs) cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_chr
    (Curry_Prelude.d_OP_uscore_impl_hash_minus_hash_Prelude_dot_Num_hash_Prelude_dot_Int_hash
    (Curry_Prelude.d_OP_uscore_impl_hash_plus_hash_Prelude_dot_Num_hash_Prelude_dot_Int_hash
    (Curry_Prelude.d_C_ord (Curry_Prelude.C_Char 'A'#) cd cs) x1 cd cs)
    (Curry_Prelude.C_Int (10)) cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_9 x1 l cd cs)
    (d_C__case_9 x1 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_9 x1 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_9 x1 e cd
    x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_9" [show x1, show x2] info)
  _ -> failCons cd (consFail "Network.URL._case_9" (showCons x2))

d_C__case_8 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_8 x3 x2 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> d_C_string2urlencoded x2 cd cs
  Curry_Prelude.C_False -> d_C__case_7 x3 x2 (Curry_Prelude.d_C_otherwise cd cs)
    cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_8 x3 x2 l cd cs)
    (d_C__case_8 x3 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_8 x3 x2
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_8 x3 x2 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_8" [show x3, show x2, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_8" (showCons x4))

d_C__case_7 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_7 x3 x2 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> Curry_Prelude.d_OP_plus_plus (d_C_string2urlencoded x2
    cd cs) (Curry_Prelude.OP_Cons (Curry_Prelude.C_Char '='#)
    (d_C_string2urlencoded x3 cd cs)) cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_failed cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_7 x3 x2 l cd cs)
    (d_C__case_7 x3 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_7 x3 x2
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_7 x3 x2 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_7" [show x3, show x2, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_7" (showCons x4))

d_C__case_6 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_6 x2 x3 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_Cons (Curry_Prelude.C_Char ' '#)
    (d_C_urlencoded2string x3 cd cs)
  Curry_Prelude.C_False -> d_C__case_5 x2 x3
    (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Char_hash
    x2 (Curry_Prelude.C_Char '%'#) cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_6 x2 x3 l cd cs)
    (d_C__case_6 x2 x3 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_6 x2 x3
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_6 x2 x3 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_6" [show x2, show x3, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_6" (showCons x4))

d_C__case_5 :: Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_5 x2 x3 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_Cons (Curry_Prelude.d_C_chr
    (d_C__case_4 x3 (Curry_Numeric.d_C_readHex (Curry_Prelude.d_C_take
    (Curry_Prelude.C_Int (2)) x3 cd cs) cd cs) cd cs) cd cs)
    (d_C_urlencoded2string (Curry_Prelude.d_C_drop (Curry_Prelude.C_Int (2)) x3
    cd cs) cd cs)
  Curry_Prelude.C_False -> d_C__case_0 x3 x2 (Curry_Prelude.d_C_otherwise cd cs)
    cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_5 x2 x3 l cd cs)
    (d_C__case_5 x2 x3 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_5 x2 x3
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_5 x2 x3 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_5" [show x2, show x3, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_5" (showCons x4))

d_C__case_0 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_0 x3 x2 x4 cd cs = case x4 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_Cons x2 (d_C_urlencoded2string x3 cd
    cs)
  Curry_Prelude.C_False -> Curry_Prelude.d_C_failed cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_0 x3 x2 l cd cs)
    (d_C__case_0 x3 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_0 x3 x2
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c ((\x -> d_C__case_0 x3 x2 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "Network.URL._case_0" [show x3, show x2, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_0" (showCons x4))

d_C__case_4 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_C__case_4 x3 x6 cd cs = case x6 of
  Curry_Prelude.OP_Cons x4 x5 -> d_C__case_3 x5 x4 cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.C_Int (0)
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_4 x3 l cd cs)
    (d_C__case_4 x3 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_4 x3 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c ((\x -> d_C__case_4 x3 e cd
    x) $! addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "Network.URL._case_4" [show x3, show x6] info)
  _ -> failCons cd (consFail "Network.URL._case_4" (showCons x6))

d_C__case_3 :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int (Curry_Prelude.OP_List Curry_Prelude.C_Char))
  -> Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_Int
d_C__case_3 x5 x4 cd cs = case x4 of
  Curry_Prelude.OP_Tuple2 x6 x7 -> d_C__case_2 x5 x6 x7 cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i (d_C__case_3 x5 l cd cs)
    (d_C__case_3 x5 r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z -> d_C__case_3 x5
    z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c ((\x -> d_C__case_3 x5 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "Network.URL._case_3" [show x5, show x4] info)
  _ -> failCons cd (consFail "Network.URL._case_3" (showCons x4))

d_C__case_2 :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int (Curry_Prelude.OP_List Curry_Prelude.C_Char))
  -> Curry_Prelude.C_Int -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_Int
d_C__case_2 x5 x6 x7 cd cs = case x7 of
  Curry_Prelude.OP_List -> d_C__case_1 x6 x5 cd cs
  Curry_Prelude.OP_Cons x10 x11 -> Curry_Prelude.C_Int (0)
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_2 x5 x6 l cd cs)
    (d_C__case_2 x5 x6 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_2 x5
    x6 z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c ((\x -> d_C__case_2 x5 x6 e
    cd x) $! addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "Network.URL._case_2" [show x5, show x6, show x7] info)
  _ -> failCons cd (consFail "Network.URL._case_2" (showCons x7))

d_C__case_1 :: Curry_Prelude.C_Int -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) -> Cover -> ConstStore -> Curry_Prelude.C_Int
d_C__case_1 x6 x5 cd cs = case x5 of
  Curry_Prelude.OP_List -> x6
  Curry_Prelude.OP_Cons x8 x9 -> Curry_Prelude.C_Int (0)
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_1 x6 l cd cs)
    (d_C__case_1 x6 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_1 x6 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c ((\x -> d_C__case_1 x6 e cd
    x) $! addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "Network.URL._case_1" [show x6, show x5] info)
  _ -> failCons cd (consFail "Network.URL._case_1" (showCons x5))

